<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://competition.demo.getfoundni.co.uk
 * @since      1.0.0
 *
 * @package    Gfni_Competition_Lists
 * @subpackage Gfni_Competition_Lists/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Gfni_Competition_Lists
 * @subpackage Gfni_Competition_Lists/includes
 * @author     Ryan Hull <ryan@getfoundni.co.uk>
 */
class Gfni_Competition_Lists_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'gfni-competition-lists',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
